package com.tarena.oss.userservice.pojo;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import com.tarena.oss.pricing.pojo.Pricing;
import com.tarena.oss.user.pojo.User;

public class UserService implements Serializable{
	private Integer id;
//	private Set<User> user=new HashSet<User>();
	private String loginname;
	private String loginpassword;
	private String labip;
	private int status;
//	private Set<Pricing> pricing=new HashSet<Pricing>();
	private Date enrolldate;
	private Date closedate;
	private User user;
	private Pricing pricing;
	
	public Date getClosedate() {
		return closedate;
	}
	public void setClosedate(Date closedate) {
		this.closedate = closedate;
	}
	public Date getEnrolldate() {
		return enrolldate;
	}
	public void setEnrolldate(Date enrolldate) {
		this.enrolldate = enrolldate;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getLabip() {
		return labip;
	}
	public void setLabip(String labip) {
		this.labip = labip;
	}
	public String getLoginname() {
		return loginname;
	}
	public void setLoginname(String loginname) {
		this.loginname = loginname;
	}
	public String getLoginpassword() {
		return loginpassword;
	}
	public void setLoginpassword(String loginpassword) {
		this.loginpassword = loginpassword;
	}
	
	
	public Pricing getPricing() {
		return pricing;
	}
	public void setPricing(Pricing pricing) {
		this.pricing = pricing;
	}
	public User getUser() {
		return user;
	}
	public void setUser(User user) {
		this.user = user;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	
	
	public UserService(Integer id, String loginname, String loginpassword, String labip, int status, Date enrolldate, User user, Pricing pricing) {
		super();
		this.id = id;
		this.loginname = loginname;
		this.loginpassword = loginpassword;
		this.labip = labip;
		this.status = status;
		this.enrolldate = enrolldate;
		this.user = user;
		this.pricing = pricing;
	}
	public UserService() {
	}
	public String toString() {
		
		return "UserService [id:"+id+", user:"+user+", loginname:"+loginname+", loginpassword"+loginpassword+
			", labip:"+labip+", status:"+status+", pricing:"+pricing+", enrolldate:"+enrolldate+"]";
	}
	
	
}
